## org.eclipse.emf.codegen.jmerge
Class PropertyMerger

    java.lang.Object
      org.eclipse.emf.codegen.merge.properties.PropertyMerger
          org.eclipse.emf.codegen.jmerge.PropertyMerger

Direct Known Subclasses:
  JMerger.PlatformRunnable, PropertyMerger.PlatformRunnable

Deprecated. in 2.2.0. Use `PropertyMerger` instead.

    @Deprecated
    public class PropertyMerger

extends PropertyMerger

This implements the method `PropertyMerger.run(Object)`, which is called just like main during headless workbench invocation.

Nested Class Summary
`static class` `PropertyMerger.PlatformRunnable` Deprecated.

Field Summary

Fields inherited from class org.eclipse.emf.codegen.merge.properties.PropertyMerger
`nlPattern, propertyLine, sourceProperties, sourceToTargetMap, targetProperties, targetToSourceMap`

Constructor Summary
`PropertyMerger()` Deprecated.

Method Summary

Methods inherited from class org.eclipse.emf.codegen.merge.properties.PropertyMerger
`createPropertiesForInputStream, createPropertiesForURI, getSourceProperties, getSourceToTargetMap, getTargetProperties, merge, parse, run, setSourceProperties, setTargetProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyMerger

    public PropertyMerger()

  Deprecated.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.